:root {
    --method-image-size: 48px;
}

html {
    font-family: 'Roboto', sans-serif;
    background-color: #E7D7C1;
}

body {
    padding: 1rem;
}

ul {
    padding-inline-start: 0;
}

button {
    background-color: #E7D7C1;
    color: #735751;
    cursor: pointer;
    border: none;
    border-radius: 0.5rem;
    padding: 0.5rem 1rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
}

button:disabled {
    cursor: not-allowed;
    opacity: 0.5;
}

button:hover {
    opacity: 0.8;
}

button:disabled:hover {
    opacity: 0.5;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.page-title {
    text-align: center;
    color: #735751;
}

.content-card {
    padding: 1rem 2rem;
    border-radius: 1rem;
    background-color: #735751;
    color: white;
    list-style: none;
}

.content-card ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.content-card ul li {
    margin-bottom: 0.5rem;
    padding: 5px;
}

.content-card ul li:hover {
    background-color: #d4c0b05e;
    border-radius: 8px;
}

.content-card-form {
    width: 100%;
}

.content-card-form-field {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
    margin: 0.25rem 0;
    min-width: min-content;
}

.content-card-form-field label,.content-card-form-field span {
    white-space: nowrap;
    display: flex;
    align-items: center;
    flex: 1;
}

.content-card-form input:disabled, .content-card-form select:disabled, .content-card-form textarea:disabled {
    opacity: 1;
    border: none;
}

.submit-button,
.delete-button,
.edit-button,
.save-button,
.cancel-button {
    width: 100%;
    margin-top: 1rem;
    font-weight: bold;
}

.content-card-list {
    list-style: none;
    margin-top: 10px;
}

.content-card-list li {
    margin-bottom: 10px;
}

.content-card-list li:last-child {
    margin-bottom: 0;
}

.content-card-wide-textarea {
    width: 100%;
    min-height: 100px;
    max-height: 200px;
    resize: vertical;
}

.brew-card {
    padding: 1rem 5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-width: min-content;
    max-width: 500px;
    margin: 0 auto;
}

.dangerous {
    background-color: #D9534F !important;
    color: white !important;
}

.content-card textarea.full-width {
    width: 100%;
    min-height: 100px;
    max-height: 200px;
    resize: vertical;
}

.hidden {
    display: none;
}

#menu-wrapper {
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    height: 90%;
    z-index: 1;
}

#menu-options {
    position: absolute;
    right: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    z-index: 2;
}

#menu-options ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#menu-options li {
    margin: 1rem;
}

#menu-options a {
    text-decoration: none;
    color: #735751;
    font-weight: bold;
}

#menu-options img {
    width: 50px;
    height: 50px;
    cursor: pointer;
}

#menu-options img.active {
    opacity: 0.5;
}

#menu-options img.close-icon {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.menu-panel {
    position: absolute;
    background-color: #a78a7f;
    right: -500px;
    width: 500px;
    height: 100%;
    border-radius: 1rem 0 0 1rem;
    transition: right 0.3s ease;
    z-index: 1;
    display: flex;
    flex-direction: column;
}

.menu {
    width: 388px;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    margin: 5px;
    padding-left: 15px;
    padding-right: 15px;
}

.menu-panel-header {
    background-color: #735751;
    color: #FFFFFF;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    margin: 1rem;
}

.menu-panel-header h1 {
    margin: 0;
    padding: 0;
}

.menu-panel-content {
    overflow: hidden;
    overflow-y: scroll;
    scrollbar-width: none;
}

.menu-panel-content::-webkit-scrollbar {
    display: none;
}

.brew-card-header {
    display: flex;
    align-items: center;
    margin: 0 -4rem;
}

.brew-card-header-right {
    margin-left: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

.content-card .brew-card-expand-toggle {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #E7D7C1;
    border-radius: 8px;
    padding: 10px;
    margin: 0;
    margin-left: 10px;
    margin-right: 10px;
    color: black;
    width: min-content;
    height: min-content;
}

.expanded-content:not(.expanded) {
    display: none;
}


.methods-container {
    display: inline-block;
    z-index: 1;
    width: calc(var(--method-image-size) + 2rem);
    height: calc(var(--method-image-size) + 2rem);
}

.method-select {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    position: absolute;
    background-color: #a78a7f;
    border-radius: 8px;
    transition: width 1s ease;
    padding: 0;
}

.method-select:hover {
    opacity: 1;
}

.method-select.expanded {
    cursor: default;
}

.method-select:disabled, .method-select:disabled:hover {
    opacity: 1;
    cursor: default;
}

.method-select input[type="radio"] + label {
    display: inline-block;
    margin: 0.5rem;
    padding: 0.5rem;
    border-radius: 8px;

    transition: background-color 0.2s ease;
}

.method-select:not(.expanded):not(:disabled) input[type="radio"] + label {
    cursor: pointer;
}

.method-select input[type="radio"]:not(:disabled) + label:hover {
    cursor: pointer;
}

.method-select.expanded input[type="radio"]:checked + label {
    background-color: #E7D7C1;
}

.method-image {
    width: var(--method-image-size);
    height: var(--method-image-size);
    display: block;
}

.method-select input[type="radio"], .method-select:not(.expanded) input[type="radio"]:not(:checked) + label {
    display: none;
}

.bean-select, .date-input {
    margin-left: 1rem;
    background-color: transparent;
    border: none;
    outline: none;
}

.bean-select {
    font-weight: bold;
    font-size: large;
}

.date-input {
    text-align: right;
    font-weight: bold;
}

.bean-select:disabled, .date-input:disabled {
    appearance: none;
}

.date-input:disabled {
    padding-right: 0;
}

.date-input:disabled::-webkit-calendar-picker-indicator {
    display: none;
}

.date-and-rating {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 5px;
}

.rating-container.overall-rating label {
    margin: 0;
    padding: 0 2px;
    width: 25px;
    height: 25px;
}

.tasting-notes-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    align-items: center;
    width: 100%;
    padding: 1rem 0;
}

.tasting-notes-list {
    flex-basis: 100%;
    flex-wrap: wrap;
    overflow: hidden;
    overflow-y: auto;
    display: flex;
    align-items: flex-start;
    max-height: 100px;
}

.tasting-note {
    display: inline-block;
    margin: 0.25rem;
    padding: 0.25rem 0.5rem;
    border-radius: 8px;
    border: 1px dashed white;
    transition: transform 0.2s ease, background-color 0.2s ease;
}

.tasting-note.hidden, .tasting-notes-search.hidden {
    display: none;
}

.tasting-note:hover:not(.disabled) {
    transform: scale(1.1);
    background-color: #d4c0b0;
    cursor: pointer;
}

.tasting-note.selected {
    background-color: #a78a7f;
}

.rating-container {
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 0 0;
}

.rating-container input[type="radio"] {
    display: none;
}

.rating-container label {
    display: inline-block;
    cursor: pointer;
    margin: 0.25rem;
    transition: transform 0.2s ease;
    background-color: transparent;
    color: #E7D7C1;
    opacity: 0.8;
    padding: 0 0.2rem;
    width: 1.5rem;
    height: 1.5rem;
    background-image: url('../images/bean.png');
    background-size: contain;
    background-repeat: no-repeat;
}

.rating-container label:hover {
    transform: scale(1.2);
    opacity: 0.95;
    transform: rotate(-15deg);
}

.rating-container input[type="radio"]:checked + label {
    opacity: 1;
    scale: 1.2;
}

.rating-container input[type="radio"]:checked + label ~ label {
    opacity: 0.2;
}

.input-container {
    display: flex;
    align-items: center;
    padding: 0.25rem 0;
    width: 200px;
    max-width: 200px;
}

.input-container input, .input-container select {
    width: 100%;
}

input, select {
    display: inline-block;
    padding: 0.25rem 0.5rem;
    border-radius: 8px;
    border: 1px solid white;
    background-color: #a78a7f;
    color: white;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    filter: invert(1);
    opacity: 1;
}

select option {
    background-color: white;
    color: black;
}

select option:disabled {
    color: gray;
}

.has-unit {
    border-radius: 8px 0 0 8px;
    margin: 0;
    padding-right: 0;
    border-right: none;
}

.unit {
    margin-left: 0;
    padding: 0.25rem 0.5rem;
    border-radius: 0 8px 8px 0;
    background-color: #d4c0b0;
    font-weight: bold;
    border: 1px solid white;
    border-left: none;
}

input.has-unit:disabled + .unit {
    border: none;
}

.icon-chevron-up {
    display: inline-block;
    width: 32px;
    height: 32px;
    --svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='none' stroke='%23000' stroke-dasharray='12' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M12 8l-7 7M12 8l7 7'%3E%3Canimate fill='freeze' attributeName='stroke-dashoffset' dur='0.4s' values='12;0'/%3E%3C/path%3E%3C/svg%3E");
    background-color: currentColor;
    -webkit-mask-image: var(--svg);
    mask-image: var(--svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
}

.icon-chevron-down {
    display: inline-block;
    width: 32px;
    height: 32px;
    --svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='none' stroke='%23000' stroke-dasharray='12' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M12 16l-7 -7M12 16l7 -7'%3E%3Canimate fill='freeze' attributeName='stroke-dashoffset' dur='0.4s' values='12;0'/%3E%3C/path%3E%3C/svg%3E");
    background-color: currentColor;
    -webkit-mask-image: var(--svg);
    mask-image: var(--svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
}